Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.search
Enum GroupSpaceSearch.CommunityScope

    java.lang.Object
      java.lang.Enum<GroupSpaceSearch.CommunityScope>
          com.bea.apps.groupspace.search.GroupSpaceSearch.CommunityScope

All Implemented Interfaces
  Serializable, Comparable<GroupSpaceSearch.CommunityScope>

Enclosing class:
  GroupSpaceSearch

    public static enum GroupSpaceSearch.CommunityScope

extends Enum<GroupSpaceSearch.CommunityScope>

Enum Constant Summary
`ELIGIBLE_TO_JOIN_COMMUNITIES`
`MY_COMMUNITIES`
`PUBLIC_COMMUNITIES`

Method Summary
`static GroupSpaceSearch.CommunityScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupSpaceSearch.CommunityScope[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC_COMMUNITIES

    public static final GroupSpaceSearch.CommunityScope PUBLIC_COMMUNITIES

### MY_COMMUNITIES

    public static final GroupSpaceSearch.CommunityScope MY_COMMUNITIES

### ELIGIBLE_TO_JOIN_COMMUNITIES

    public static final GroupSpaceSearch.CommunityScope ELIGIBLE_TO_JOIN_COMMUNITIES

Method Detail

### values

    public static final GroupSpaceSearch.CommunityScope[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static GroupSpaceSearch.CommunityScope valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved